Dispatcher (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp, class: Dispatcher

Package org.apache.hadoop.yarn.webapp

# Class Dispatcher

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.hadoop.yarn.webapp.Dispatcher

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

@LimitedPrivate({"YARN","MapReduce"}) public class Dispatcher extends javax.servlet.http.HttpServlet
The servlet that dispatch request to various controllers according to the user defined routes in the router.

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doOptions(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
  `static void`
  `redirectToErrorPage(javax.servlet.http.HttpServletResponse res, Throwable e, String path, boolean devMode)`
  `static void`
  `removeCookie(javax.servlet.http.HttpServletResponse res, String name, String path)`
  `static void`
  `removeErrorCookies(javax.servlet.http.HttpServletResponse res, String path)`
  `void`
  `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
  `void`
  `setDevMode(boolean choice)`

  ### Methods inherited from class javax.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doPost, doPut, doTrace, getLastModified, service`

  ### Methods inherited from class javax.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### doOptions

    public void doOptions(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)
    Overrides:
      `doOptions` in class `javax.servlet.http.HttpServlet`

  - ### service

    public void service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res) throws javax.servlet.ServletException, IOException
    Overrides:
      `service` in class `javax.servlet.http.HttpServlet`
    Throws:
      `javax.servlet.ServletException`
      `IOException`

  - ### redirectToErrorPage

    public static void redirectToErrorPage(javax.servlet.http.HttpServletResponse res, Throwable e, String path, boolean devMode)

  - ### removeErrorCookies

    public static void removeErrorCookies(javax.servlet.http.HttpServletResponse res, String path)

  - ### removeCookie

    public static void removeCookie(javax.servlet.http.HttpServletResponse res, String name, String path)

  - ### setDevMode

    public void setDevMode(boolean choice)